//
//  MockURLResponse.swift
//  APICore
//
//  Created by Javier Cicchelli on 10/04/2023.
//  Copyright © 2023 Röck+Cöde. All rights reserved.
//

import Foundation

///  This model includes the data to be injected into an specific URL at the time of mocking its response.
public struct MockURLResponse {
    
    // MARK: Properties
    
    public let status: Int
    public let headers: [String: String]
    public let data: Data?
    
    // MARK: Initialisers
    
    public init(
        status: Int,
        headers: [String : String],
        data: Data? = nil
    ) {
        self.status = status
        self.headers = headers
        self.data = data
    }

}
