//
//  Endpoint.swift
//  APICore
//
//  Created by Javier Cicchelli on 10/04/2023.
//  Copyright © 2023 Röck+Cöde. All rights reserved.
//

import Foundation

/// This protocol defines an endpoint to be used in an API call.
public protocol Endpoint {
    var scheme: String { get }
    var host: String { get }
    var port: Int? { get }
    var path: String { get }
    var method: HTTPRequestMethod { get }
    var headers: [String: String] { get }
    var body: Data? { get }
}
