//
//  ViewModel.swift
//  Core
//
//  Created by Javier Cicchelli on 11/04/2023.
//  Copyright © 2023 Röck+Cöde. All rights reserved.
//

/// This protocol defines the view model of the **MVVM** architecture.
public protocol ViewModel: AnyObject {
    
    // MARK: Properties
    
    /// The reference to the coordinator that initialised the view model.
    var coordinator: Coordinator { get set }

}
