//
//  Location.swift
//  Locations (Library)
//
//  Created by Javier Cicchelli on 10/04/2023.
//  Copyright © 2023 Röck+Cöde. All rights reserved.
//

public struct Location: Equatable {
    
    // MARK: Properties
    
    public let name: String?
    public let latitude: Float
    public let longitude: Float
    
    // MARK: Initialisers
    
    public init(
        name: String? = nil,
        latitude: Float,
        longitude: Float
    ) {
        self.name = name
        self.latitude = latitude
        self.longitude = longitude
    }

}

// MARK: - Decodable

extension Location: Decodable {
    enum CodingKeys: String, CodingKey {
        case name
        case latitude = "lat"
        case longitude = "long"
    }
}
